Package org.eclipse.emf.cdo.spi.server

# Class AuthenticationUtil.AuthenticatingOperation<V>

java.lang.Object
org.eclipse.emf.cdo.spi.server.AuthenticationUtil.AuthenticatingOperation<V>

All Implemented Interfaces:
  `Callable<V>`

Enclosing class:
  `AuthenticationUtil`

public abstract static class AuthenticationUtil.AuthenticatingOperation<V> extends Object implements Callable<V>
Encapsulation of an administrative operation requiring (potentially) client authentication to authorize the operation.

Since:
  4.3
Author:
  Christian W. Damus (CEA LIST)

## Constructor Summary

Constructors
Constructor
Description
`AuthenticatingOperation(IAuthenticationProtocol authenticationProtocol)`

## Method Summary

Modifier and Type
Method
Description
`final V`
`call()`
`protected abstract V`
`doCall()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticatingOperation

public AuthenticatingOperation(IAuthenticationProtocol authenticationProtocol)

## Method Details

### call

public final V call() throws Exception

Specified by:
  `call` in interface `Callable<V>`
Throws:
  `Exception`

### doCall

protected abstract V doCall() throws Exception

Throws:
  `Exception`